Register a new group in DD
---
# NotaBLE és la col·laboració entre Gwido i el Workspace educatiu DD.
#
# És un projecte de Xnet, IsardVDI, Gwido i Taller de Músics,
# guanyador de la Ciutat Proactiva 2021, suport a la innovació urbana de
# la Fundació BitHabitat.

consumes:
  - application/json
parameters:
  - in: body
    name: group
    description: |
      The group to be registered on DD.
    schema:
      type: object
      properties:
        name:
          required: True
          type: string
        description:
          required: False
          type: string
        parent:
          required: False
          type: string
responses:
  200:
      description: |
        The keycloak_id of the newly registered group
      schema:
        $ref: '#/definitions/KeycloakId'
  409:
      description: |
        The group already exists
